KJL - Bug #2642

Perbaikan Combobox Nama Barang
03/14/2024 12:04 PM - haykal haykal

Status: QA Test Start date: 03/14/2024
Priority: Immediate Due date: 03/20/2024
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Tolong agar pilihan combobox Nama Barang yang ada di menu Sales (Sales Inquiry, Price Quotation, dan Sales Order) mengikuti
seperti yang ada di menu Purchase (Purchase Requisition misalnya). Jadi formatnya adalah Material Code - Description (based on
yg ada di Material Master Data).

Note tambahan: Tolong agar field combobox Nama Barang yg ada di menu Purchase (Permintaan Barang, Purchase Requisition,
Purchase Order) dilebarkan.

Terima kasih.
Port: https://hris-kjl.minovais.com:31139/

Menu Path: Logistic & Service > Sales Management (Sales Inquiry, Price Quotation, Sales Order)
DB: MinovaES_KJL (di 66)

History

#1 - 03/15/2024 10:59 AM - shofwan shiddiq
- File clipboard-202403151059-yzowi.png added
- File clipboard-202403151059-xz18w.png added

Dear Haykal, untuk Code dan deskripsi sudah muncul di combo, kalau mau mengganti combo di menu2 lain tinggal di ganti search type di
SDATATABLEFIELD menjadi 5.
Untuk lebar field mengikuti lebar isi nya saja. jadi kalau ada judul yang panjang dia akan mengikuti lebarnya.

Column Alias Table Output  Sort Type Sort Order Filter Or... Or.. Or..

TableName SDATATAB... = 'PTRSALESL...

FieldName SDATATAB... = 'Material’

SeqNum SDATATAB... |

DataRef SDATATAB...

DataType SDATATAB...

Length SDATATAB...

Prec SDATATAB...

Scale SDATATAB.

TableRef SDATATAB...

FixedValue SDATATAB...

SearchFunction SDATATAB...

SearchType SDATATAB...

IsPrimaryKey SDATATAB...

Isldentity SDATATAB...

TableName  FieldName SegNum DataRef DataType Length Prec Scale TableRef FixedValue SearchFic.. SearchType sPrimaryKey Isldentity
3 PTRSALESIT.. Material 2 ITEMNAME 0 100 0 0 PMDMAT0001 5 0

NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL uLL NULL
Process ID
@ Financial Accounting 00000002

Description

* Human Resource

& Logistic & Service

i Menu Development

Menu Management

Document Detail
Customization
User Management Purchase ltem Other Cost Notes

Generate User -
Change Password Nama Barang | Posisi Stock = Estimasi Pemakaian = Quantity E.. Supplier Unit Harga Satuan Total
Company Logo 1 BIO Filler UF 401 PLA - Homopolymer 15 2 Tirta Surya Raya Kg 100,000.00

Migration Tools 2 HI10 HO - Homopolymer 23 1 Kg 100.00

WorkFlow Definition

WorkFlow Process Viewer

#2 - 03/15/2024 11:01 AM - shofwan shiddiq
- Assignee changed from shofwan shiddiq to haykal haykal

#3 - 03/20/2024 03:00 PM - Kezia Pawitra Yulianti
- Due date set to 03/20/2024
- Status changed from New to Assigned

- Priority changed from Normal to Immediate

#4 - 04/04/2024 09:08 AM - Kezia Pawitra Yulianti
- Status changed from Assigned to QA Test

apa sudah di rapihkan settingan nya?
Jika sudah redmine nya langsing di rubah aja ya statusnya
Tks

#5 - 04/04/2024 03:16 PM - Anonymous

Kezia Pawitra Yulianti wrote in #note-4:

apa sudah di rapihkan settingan nya?
Jika sudah redmine nya langsing di rubah aja ya statusnya
Tks

Sudah Mbak. Untuk yg format di combobox sudah benar yaitu Material Code - Description. Namun utk field Nama Barang itu tidak bisa lebar dari
awal ketika pengisian (user harus melebarkan sendiri), dia lebar mengikuti isinya itu baru ketika setelah Save; tidak ketika user sedang
mengisi/memilih.

Files
